> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypedexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get batch by number

> Get batch by number



## OpenAPI

````yaml /elysium/openapi-rest.json get /elysium/mainnet/batches/{batch_number}
openapi: 3.0.3
info:
  title: 'Hypedexer API: Elysium'
  version: 1.0.0
  description: >-
    Elysium mainnet (chain 99901) and testnet (chain 99801), Kinetiq's L2 on
    HyperEVM: blocks, transactions, logs, batches, bridge HyperEVM ↔ Elysium,
    tokens and accounts.
servers:
  - url: https://api.hypedexer.com
    description: EU production
security:
  - ApiKeyAuth: []
tags:
  - name: Elysium Mainnet
    description: Elysium mainnet chain, settlement batches, bridge, tokens and accounts.
  - name: Elysium Testnet
    description: Elysium testnet chain, settlement batches, bridge, tokens and accounts.
paths:
  /elysium/mainnet/batches/{batch_number}:
    get:
      tags:
        - Elysium Mainnet
      summary: Get batch by number
      description: Get batch by number
      parameters:
        - name: batch_number
          in: path
          schema:
            type: integer
            minimum: 0
            description: Batch sequence number
          required: true
          description: Batch sequence number
        - name: X-API-Key
          in: header
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  message:
                    type: string
                  data:
                    $ref: '#/components/schemas/ElysiumBatch'
                  execution_time_ms:
                    type: number
                  has_more:
                    type: boolean
        '404':
          description: Not found
        '422':
          description: Invalid parameter
components:
  schemas:
    ElysiumBatch:
      properties:
        batch_number:
          title: Batch Number
          type: integer
        parent_block:
          title: Parent Block
          type: integer
        parent_time:
          format: date-time
          title: Parent Time
          type: string
        parent_tx_hash:
          title: Parent Tx Hash
          type: string
        after_delayed_messages_read:
          title: After Delayed Messages Read
          type: integer
        data_location:
          title: Data Location
          type: string
        first_block:
          title: First Block
          type: integer
        last_block:
          title: Last Block
          type: integer
        block_count:
          title: Block Count
          type: integer
        last_block_time:
          format: date-time
          title: Last Block Time
          type: string
        posting_delay_s:
          title: Posting Delay S
          type: number
      required:
        - batch_number
        - parent_block
        - parent_time
        - parent_tx_hash
        - after_delayed_messages_read
        - data_location
        - first_block
        - last_block
        - block_count
        - last_block_time
        - posting_delay_s
      title: ElysiumBatch
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Your Hypedexer API key. Create one in the console at
        https://app.hypedexer.com. `Authorization: Bearer <key>` and the
        `api_key` query parameter are accepted as well.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.